libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
std::back_insert_iterator< pqxx::tablewriter > Class Template Reference

`#include <tablewriter.hxx>`

## Public Member Functions

| back_insert_iterator (pqxx::tablewriter &W) throw ()
back_insert_iterator & | operator= (const back_insert_iterator &rhs) throw ()
template<typename TUPLE >
back_insert_iterator & | operator= (const TUPLE &T)
back_insert_iterator & | operator++ ()
back_insert_iterator & | operator++ (int)
back_insert_iterator & | operator* ()

## Constructor & Destructor Documentation

std::back_insert_iterator< pqxx::tablewriter >::back_insert_iterator | ( | pqxx::tablewriter & | W | ) | throw ()

explicit

## Member Function Documentation

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator* | ( |  | ) |

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator++ | ( |  | ) |

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator++ | ( | int |  | ) |

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator= | ( | const back_insert_iterator< pqxx::tablewriter > & | rhs | ) | throw ()

template<typename TUPLE >

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator= | ( | const TUPLE & | T | ) |

The documentation for this class was generated from the following file:

- tablewriter.hxx